// $Id: CheckFilesDialog.cpp,v 1.26 2014/02/03 10:08:26 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CheckFilesDialog.h"
#include "CheckFilesDialog.moc"

#include "Debug.h"
#include "TreeView.h"
#include "XmlOptions.h"

#include <QLabel>

//______________________________________________________________________
CheckFilesDialog::CheckFilesDialog( QWidget* parent ):
FileSelectionDialog( parent, "Transfer failed for following files:" )
{

    Debug::Throw( "CheckFilesDialog::CheckFilesDialog.\n" );

    // change button names
    okButton().setText( tr( "Retry" ) );
    cancelButton().setText( tr( "Ignore" ) );

}
//____________________________________________________________________
void CheckFilesDialog::_updateButtons( void )
{
    Debug::Throw( "CheckFilesDialog::_updateButtons.\n" );
    FileSelectionDialog::_updateButtons();
    bool hasSelection( !_list().selectionModel()->selectedRows().empty() );
    okButton().setEnabled( hasSelection );
}
