// $Id: ErrorDialog.cpp,v 1.16 2014/09/11 06:40:07 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "ErrorDialog.h"
#include "ErrorDialog.moc"

#include <QLabel>

//______________________________________________________________________________________________
ErrorDialog::ErrorDialog( QWidget* parent, const QString& message ):
    QuestionDialog( parent, message )
{

    Debug::Throw( "ErrorDialog::ErrorDialog.\n" );
    setOptionName( "ERROR_DIALOG" );

    // rename buttons
    okButton().setText( tr( "Abort commands" ) );
    okButton().setToolTip( tr( "All pending commands will be aborted" ) );

    cancelButton().setText( tr( "Ignore" ) );
    cancelButton().setToolTip( tr( "The current action is aborted. Other pending actions will be processed normally" ) );

}
