#ifndef FileInformationDialog_h
#define FileInformationDialog_h
// $Id: FileInformationDialog.h,v 1.7 2013/10/25 09:39:37 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "BaseFileInformationDialog.h"
#include "FileInfo.h"
#include "FtpMacro.h"

#include <QPushButton>

//! file informations
class FileInformationDialog: public BaseFileInformationDialog
{

    Q_OBJECT

    public:

    //! constructor
    FileInformationDialog( QWidget*, const FileInfo& );

    //! destructor
    virtual ~FileInformationDialog( void )
    {}

    Q_SIGNALS:

    //! request command
    void macrosRequested( const FtpMacro::List& );

    //! abort
    void requestAbort( void );

    public Q_SLOTS:

    //! macro started
    void macroStarted( const FtpMacro& );

    //! macro started
    void macroCompleted( const FtpMacro& );

    //! update size
    void updateSize( const FileInfo&, qint64 );

    protected Q_SLOTS:

    //! request size
    void _requestSize( void );

    protected:

    //! close event
    virtual void closeEvent( QCloseEvent* );

    private:

    //! file info
    FileInfo fileInfo_;

    //! size request label
    QPushButton* sizeRequestButton_;

    //! true when busy
    bool busy_;

};

#endif
